from dash.dependencies import (
    Input, 
    Output
)
from dash import html


def register_callbacks(app):
    @app.callback(
        Output('output-container-button', 'children'),
        [Input('submit-btn', 'n_clicks')],
        [Input('input-text', 'value')]
    )
    def update_output(n_clicks, input_value):
        if n_clicks > 0:
            return html.Div([
                html.Label("You entered:"),
                html.P(input_value)
            ])
        else:
            return ''
